package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

public enum GroupListEnum {
    年("year", "年"),
    月("month", "月"),
    日("day", "日");
    private String value;
    private String desc;

    GroupListEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static GroupListEnum getByValue(String value) {
        for (GroupListEnum pjOptionEnum : GroupListEnum.values()) {
            if (pjOptionEnum.getValue() == value) {
                return pjOptionEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (GroupListEnum item : GroupListEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}